#![allow(dead_code, unused_imports)]

#[macro_export]
macro_rules! log_fatal {
    ($($arg:tt)+) => {{
        use log::error;
        use std::process::abort;
        error!($($arg)+);
        abort();
    }};
}

#[macro_export]
macro_rules! return_if {
    ($var:expr, $ret:expr) => {{
        if ($var) {
            return $ret;
        }
    }};
}

#[macro_export]
macro_rules! return_unless {
    ($var:expr, $ret:expr) => {{
        if (!($var)) {
            return $ret;
        }
    }};
}

#[macro_export]
macro_rules! bool_to_result {
    ($cond:expr, $ok:expr, $err:expr) => {{
        match $cond {
            true => Ok($ok),
            false => Err($err),
        }
    }};
}
